"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializeTokenAccount = void 0;
const bn_js_1 = __importDefault(require("bn.js"));
const borsh_1 = require("borsh");
class TokenAccount {
    constructor(fields) {
        this.mint = new Uint8Array(32);
        this.owner = new Uint8Array(32);
        this.amount = new bn_js_1.default(0);
        this.delegate = new Uint8Array(32);
        this.state = 0;
        this.is_native = new bn_js_1.default(0);
        this.delegated_amount = new bn_js_1.default(0);
        this.close_authority = new Uint8Array(32);
        if (fields) {
            this.mint = fields.mint;
            this.owner = fields.owner;
            this.amount = fields.amount;
            this.delegate = fields.delegate;
            this.state = fields.state;
            this.is_native = fields.is_native;
            this.delegated_amount = fields.delegated_amount;
            this.close_authority = fields.close_authroity;
        }
    }
}
const TokenAccountSchema = new Map([
    [
        TokenAccount,
        {
            kind: "struct",
            fields: [
                ["mint", [32]],
                ["owner", [32]],
                ["amount", "u64"],
                ["delegate", [32]],
                ["state", "u8"],
                ["is_native", "u64"],
                ["delegated_amount", "u64"],
                ["close_authority", [32]],
                ["nothing", "u64"],
                ["nothing2", "u32"],
            ],
        },
    ],
]);
const deserializeTokenAccount = (tokenAccountData) => {
    return (0, borsh_1.deserialize)(TokenAccountSchema, TokenAccount, tokenAccountData);
};
exports.deserializeTokenAccount = deserializeTokenAccount;
