import { PublicKey, Transaction } from "@solana/web3.js";
import * as anchor from "@project-serum/anchor";
import { GrapeCollections } from "../../target/types/grape_collections";
export declare const PROGRAM_ID = "GArtNGsWiFYcbByxkS7MFm84Vfptt84XcweqRkcKpEEm";
export declare const getListingRequestFromCollectionAddress: (seed: PublicKey, configurationKey: PublicKey) => Promise<PublicKey>;
export declare const COLLECTION_BOARDING_INFO_SIZE: number;
export declare const approveOrDeny: (provider: anchor.AnchorProvider, program: anchor.Program<GrapeCollections>, seed: PublicKey, configurationKey: PublicKey, approve: boolean, topOff?: Transaction | null) => Promise<string>;
export declare const accountFilterByRequestor: (approved: boolean, provider: anchor.AnchorProvider, program: anchor.Program<GrapeCollections>, configurationKey: PublicKey) => Promise<{
    name: string;
    enabled: boolean;
    verified_collection_address: PublicKey;
    collection_update_authority: PublicKey;
    auction_house: PublicKey;
    meta_data_url: string;
    vanity_url: string;
    token_type: string;
    listing_requester: PublicKey;
    request_type: number;
}[]>;
export declare const accountFilter: (approved: boolean, provider: anchor.AnchorProvider, program: anchor.Program<GrapeCollections>, configurationKey: PublicKey) => Promise<{
    name: string;
    enabled: boolean;
    verified_collection_address: PublicKey;
    collection_update_authority: PublicKey;
    auction_house: PublicKey;
    meta_data_url: string;
    vanity_url: string;
    token_type: string;
    listing_requester: PublicKey;
    request_type: number;
}[]>;
