"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IDL = void 0;
exports.IDL = {
    "version": "0.1.0",
    "name": "grape_collections",
    "instructions": [
        {
            "name": "initializeListingRequest",
            "accounts": [
                {
                    "name": "collectionBoardingInfo",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "listingRequestor",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "verifiedCollectionAddress",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "updateAuthority",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "seed",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "adminConfig",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "name",
                    "type": "string"
                },
                {
                    "name": "auctionHouse",
                    "type": "publicKey"
                },
                {
                    "name": "governance",
                    "type": {
                        "option": "publicKey"
                    }
                },
                {
                    "name": "metaDataUrl",
                    "type": "string"
                },
                {
                    "name": "vanityUrl",
                    "type": "string"
                },
                {
                    "name": "tokenType",
                    "type": "string"
                },
                {
                    "name": "requestType",
                    "type": "u8"
                }
            ]
        },
        {
            "name": "enable",
            "accounts": [
                {
                    "name": "collectionBoardingInfo",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "admin",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "adminConfig",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "listingRequestor",
                    "isMut": true,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "isEnabled",
                    "type": "bool"
                }
            ]
        },
        {
            "name": "approve",
            "accounts": [
                {
                    "name": "collectionBoardingInfo",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "admin",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "adminConfig",
                    "isMut": false,
                    "isSigner": false
                },
                {
                    "name": "listingRequestor",
                    "isMut": true,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "isApproved",
                    "type": "bool"
                }
            ]
        },
        {
            "name": "requestRefund",
            "accounts": [
                {
                    "name": "listingRequestor",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "collectionBoardingInfo",
                    "isMut": true,
                    "isSigner": false
                }
            ],
            "args": []
        },
        {
            "name": "initializeConfig",
            "accounts": [
                {
                    "name": "adminConfig",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "funder",
                    "isMut": true,
                    "isSigner": true
                },
                {
                    "name": "systemProgram",
                    "isMut": false,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "admin",
                    "type": "publicKey"
                },
                {
                    "name": "fee",
                    "type": "u64"
                }
            ]
        },
        {
            "name": "updateConfig",
            "accounts": [
                {
                    "name": "adminConfig",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "admin",
                    "isMut": true,
                    "isSigner": true
                }
            ],
            "args": [
                {
                    "name": "newAdmin",
                    "type": "publicKey"
                }
            ]
        },
        {
            "name": "setFee",
            "accounts": [
                {
                    "name": "adminConfig",
                    "isMut": true,
                    "isSigner": false
                },
                {
                    "name": "admin",
                    "isMut": true,
                    "isSigner": true
                }
            ],
            "args": [
                {
                    "name": "newFee",
                    "type": "u64"
                }
            ]
        },
        {
            "name": "updateMetadata",
            "accounts": [
                {
                    "name": "modifier",
                    "isMut": false,
                    "isSigner": true
                },
                {
                    "name": "collectionBoardingInfo",
                    "isMut": true,
                    "isSigner": false
                }
            ],
            "args": [
                {
                    "name": "newMetadataUrl",
                    "type": "string"
                }
            ]
        }
    ],
    "accounts": [
        {
            "name": "config",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "admin",
                        "type": "publicKey"
                    },
                    {
                        "name": "fee",
                        "type": "u64"
                    }
                ]
            }
        },
        {
            "name": "collectionListingRequest",
            "type": {
                "kind": "struct",
                "fields": [
                    {
                        "name": "verifiedCollectionAddress",
                        "type": "publicKey"
                    },
                    {
                        "name": "collectionUpdateAuthority",
                        "type": "publicKey"
                    },
                    {
                        "name": "isDaoApproved",
                        "type": "bool"
                    },
                    {
                        "name": "enable",
                        "type": "bool"
                    },
                    {
                        "name": "requestType",
                        "type": "u8"
                    },
                    {
                        "name": "auctionHouse",
                        "type": "publicKey"
                    },
                    {
                        "name": "governance",
                        "type": "publicKey"
                    },
                    {
                        "name": "adminConfig",
                        "type": "publicKey"
                    },
                    {
                        "name": "listingRequestor",
                        "type": "publicKey"
                    },
                    {
                        "name": "fee",
                        "type": "u64"
                    },
                    {
                        "name": "name",
                        "type": "string"
                    },
                    {
                        "name": "vanityUrl",
                        "type": "string"
                    },
                    {
                        "name": "tokenType",
                        "type": "string"
                    },
                    {
                        "name": "metaDataUrl",
                        "type": "string"
                    },
                    {
                        "name": "bump",
                        "type": "u8"
                    }
                ]
            }
        }
    ]
};
